import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const DatabaseBackupMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupMinOrderByAggregateInput>;
export const DatabaseBackupMinOrderByAggregateInputObjectZodSchema = makeSchema();
